//---------------------------------------------------------------------------
#ifndef Unit1H
#define Unit1H
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Buttons.hpp>
#include <ComCtrls.hpp>
#include <Dialogs.hpp>
#include <ExtCtrls.hpp>
#include <Menus.hpp>
#include <typeinfo.h>
#include "IEVect.hpp"
#include "ImageEnIO.hpp"
#include "ImageEnProc.hpp"
#include "ImageEnView.hpp"
//---------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:	// IDE-managed Components
	TImageEnVect *ImageEnVect1;
	TPanel *Panel1;
	TLabel *Label14;
	TGroupBox *GroupBox5;
	TLabel *Label1;
	TLabel *Label2;
	TLabel *Label3;
	TLabel *Label9;
	TLabel *Label7;
	TPanel *Panel3;
	TPanel *Panel4;
	TComboBox *ComboBox4;
	TEdit *Edit2;
	TUpDown *UpDown2;
	TComboBox *ComboBox3;
	TPageControl *PageControl1;
	TTabSheet *TabSheet1;
	TLabel *Label10;
	TLabel *Label11;
	TComboBox *ComboBox5;
	TComboBox *ComboBox6;
	TTabSheet *TabSheet2;
	TButton *Button1;
	TButton *Button2;
	TPanel *Panel5;
	TImageEnView *ImageEnView1;
	TTabSheet *TabSheet3;
	TLabel *Label17;
	TLabel *Label18;
	TButton *Button3;
	TEdit *Edit6;
	TUpDown *UpDown4;
	TComboBox *ComboBox7;
	TButton *Button4;
	TGroupBox *GroupBox6;
	TLabel *Label4;
	TLabel *Label5;
	TLabel *Label6;
	TLabel *Label8;
	TLabel *Label12;
	TComboBox *ComboBox2;
	TEdit *Edit1;
	TEdit *Edit3;
	TUpDown *UpDown1;
	TEdit *Edit4;
	TUpDown *UpDown3;
	TGroupBox *GroupBox7;
	TLabel *Label15;
	TLabel *Label16;
	TComboBox *ComboBox1;
	TPanel *Panel2;
	TLabel *Label13;
	TGroupBox *GroupBox1;
	TSpeedButton *SpeedButton4;
	TSpeedButton *SpeedButton1;
	TSpeedButton *SpeedButton8;
	TGroupBox *GroupBox2;
	TSpeedButton *SpeedButton7;
	TSpeedButton *SpeedButton11;
	TSpeedButton *SpeedButton12;
	TSpeedButton *SpeedButton13;
	TGroupBox *GroupBox3;
	TSpeedButton *SpeedButton2;
	TSpeedButton *SpeedButton3;
	TGroupBox *GroupBox4;
	TSpeedButton *SpeedButton5;
	TSpeedButton *SpeedButton6;
	TSpeedButton *SpeedButton9;
	TSpeedButton *SpeedButton10;
	TSpeedButton *SpeedButton14;
	TStatusBar *StatusBar1;
	TMainMenu *MainMenu1;
	TMenuItem *File1;
	TMenuItem *New;
	TMenuItem *Open1;
	TMenuItem *Openbackgroundimage1;
	TMenuItem *Import1;
	TMenuItem *DXF1;
	TMenuItem *Saveas1;
	TMenuItem *N1;
	TMenuItem *Exit1;
	TMenuItem *Edit5;
	TMenuItem *Undo1;
	TMenuItem *N2;
	TMenuItem *Copy1;
	TMenuItem *Cut1;
	TMenuItem *Paste1;
	TMenuItem *Pasteinrect1;
	TMenuItem *N3;
	TMenuItem *Deleteobject1;
	TMenuItem *Tools1;
	TMenuItem *Adjustcolor1;
	TMenuItem *Effects1;
	TImageEnIO *ImageEnIO1;
	TImageEnProc *ImageEnProc1;
	TColorDialog *ColorDialog1;
	TSaveDialog *SaveDialog1;
	TImageEnProc *ImageEnProc2;
	TFontDialog *FontDialog1;
	TOpenDialog *OpenDialog1;
	void __fastcall FormActivate(TObject *Sender);
	void __fastcall ComboBox4Change(TObject *Sender);
	void __fastcall ComboBox2Change(TObject *Sender);
	void __fastcall Exit1Click(TObject *Sender);
	void __fastcall NewClick(TObject *Sender);
	void __fastcall SpeedButton1Click(TObject *Sender);
	void __fastcall Panel3Click(TObject *Sender);
	void __fastcall Panel4Click(TObject *Sender);
	void __fastcall ImageEnVect1SelectObject(TObject *Sender);
	void __fastcall Open1Click(TObject *Sender);
	void __fastcall Saveas1Click(TObject *Sender);
	void __fastcall DXF1Click(TObject *Sender);
	void __fastcall ComboBox1Change(TObject *Sender);
	void __fastcall ImageEnVect1ViewChange(TObject *Sender, int Change);
	void __fastcall Openbackgroundimage1Click(TObject *Sender);
	void __fastcall Adjustcolor1Click(TObject *Sender);
	void __fastcall Effects1Click(TObject *Sender);
	void __fastcall Button1Click(TObject *Sender);
	void __fastcall Button2Click(TObject *Sender);
	void __fastcall Undo1Click(TObject *Sender);
	void __fastcall Copy1Click(TObject *Sender);
	void __fastcall Cut1Click(TObject *Sender);
	void __fastcall Paste1Click(TObject *Sender);
	void __fastcall Pasteinrect1Click(TObject *Sender);
	void __fastcall Deleteobject1Click(TObject *Sender);
	void __fastcall Button3Click(TObject *Sender);
	void __fastcall Button4Click(TObject *Sender);
private:
    bool ctrlch;	// User declarations
public:		// User declarations
	__fastcall TForm1(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
